<?php
/**
 * Archive Layout
 *
 * @package Majestic Blog
 */

$wp_customize->add_section(
	'majestic_blog_archive_layout',
	array(
		'title' => esc_html__( 'Archive Layout', 'majestic-blog' ),
		'panel' => 'majestic_blog_theme_options',
	)
);

// Archive Layout - Column Layout.
$wp_customize->add_setting(
	'majestic_blog_column_layout',
	array(
		'default'           => 'column-2',
		'sanitize_callback' => 'majestic_blog_sanitize_select',
	)
);

$wp_customize->add_control(
	'majestic_blog_column_layout',
	array(
		'label'   => esc_html__( 'Column Layout', 'majestic-blog' ),
		'section' => 'majestic_blog_archive_layout',
		'type'    => 'select',
		'choices' => array(
			'column-2' => __( 'Column 2', 'majestic-blog' ),
			'column-3' => __( 'Column 3', 'majestic-blog' ),
		),
	)
);
